define('sf.b2c.mall.business.config', ['zepto'], function ($) {
  'use strict';

  var MD5_KEY = 'www.sfht.com';

  var NONE_APPEND_WORD = 'sfhaitao.xyz!';
  var M_HOST = 'http://m.fengqu.com/';
  var VER = $('#version').attr('data-version') || Date.now();

  var DEFAULT_REQUEST_HEADER = {
    _aid: 3,
    _sm: 'md5'
  };

  var host = window.location.hostname;
  var DEV_API_URL = {
    url: 'http://m.fengqu.com/m.api',
    fileurl: 'http://m.fengqu.com/file.api'
  };

  var DEV_FILE_LINK = {
    'agreement'         : M_HOST + 'other/agreement.html?t='+VER,
    'alipayframe'       : M_HOST + 'order/alipayframe.html?t='+VER,
    'center'            : M_HOST + 'center/center.html?t='+VER,
    'detail'            : M_HOST + 'detail/',
    'gotopay'           : M_HOST + 'order/gotopay.html?t='+VER,
    'index'             : M_HOST + 'index.html',
    'login'             : M_HOST + 'user/login.html?t='+VER,
    'order'             : M_HOST + 'order/order.html?t='+VER,
    'mypoint'             : M_HOST + 'order/mypoint.html?t='+VER,
    'orderdetail'       : M_HOST + 'order/orderdetail.html?t='+VER,
    'orderlist'         : M_HOST + 'order/orderlist.html?t='+VER,
    'pay-success'       : M_HOST + 'order/pay-success.html?t='+VER,
    'register'          : M_HOST + 'user/register.html?t='+VER,
    'coupon'            : M_HOST + 'center/coupon.html?t='+VER,
    'setpassword'       : M_HOST + 'user/setpassword.html?t='+VER,
    'bindaccount'       : M_HOST + 'user/bindaccount.html?t='+VER,
    'weixincenter'      : M_HOST + 'user/weixincenter.html?t='+VER,
    'luckymoneyshare'   : M_HOST + 'other/luckymoneyshare.html?t='+VER,
    'luckymoneyaccept'  : M_HOST + 'other/luckymoneyaccept.html?t='+VER,
    'recaddrmanage'     : M_HOST + 'center/recaddrmanage.html?t='+VER,
    // 'getalipaycoupon'   : M_HOST + 'getcoupons.html?t='+VER,
    'paysuccess'        : M_HOST + 'order/pay-success?t='+VER
  }

  return {
    setting:{
      'ver': VER,
      'none_append_word': NONE_APPEND_WORD,
      'default_header': DEFAULT_REQUEST_HEADER,
      'md5_key': MD5_KEY,
      'api': DEV_API_URL,
      'link': DEV_FILE_LINK
    }
  };
});